# Uses of Class
org.jmol.modelset.Model

Packages that use Model
Package
Description
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.viewer

## Uses of Model in org.jmol.modelset

Fields in org.jmol.modelset declared as Model
Modifier and Type
Field
Description
`Model[]`
ModelSet.`am`
`Model`
Chain.`model`
Methods in org.jmol.modelset that return Model
Modifier and Type
Method
Description
`Model`
Group.`getModel()`
BE CAREFUL: FAILURE TO NULL REFERENCES TO model WILL PREVENT FINALIZATION AND CREATE A MEMORY LEAK.
`Model`
Model.`set(ModelSet modelSet, int modelIndex, int trajectoryBaseIndex, Map<String,Object> jmolData, Properties properties, Map<String,Object> auxiliaryInfo)`

## Uses of Model in org.jmol.modelsetbio

Subclasses of Model in org.jmol.modelsetbio
Modifier and Type
Class
Description
`final class`
`BioModel`
Fields in org.jmol.modelsetbio declared as Model
Modifier and Type
Field
Description
`Model`
BioPolymer.`model`
Methods in org.jmol.modelsetbio that return Model
Modifier and Type
Method
Description
`Model`
BioResolver.`getBioModel(int modelIndex, int trajectoryBaseIndex, Map<String,Object> jmolData, Properties modelProperties, Map<String,Object> modelAuxiliaryInfo)`

## Uses of Model in org.jmol.viewer

Methods in org.jmol.viewer that return Model
Modifier and Type
Method
Description
`Model`
Viewer.`getModelForAtomIndex(int iatom)`